<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="UTF-8" />
<title>Stock Detail</title>
<meta name="viewport" content="width=device-width, initial-scale=1" />
<link rel="stylesheet"
	href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" />
<script
	src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.0/jquery.min.js"></script>
<script
	src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
</head>
<body>
	<form th:action="stockDetail" method="get">
	<div class="container">
		<a href="stockRetrieveAll">GO Back</a>
		<table class="table table-bordered table-striped">
			<tr>
				<th>海报</th>
				<th>演出名稱</th>
				<th>演出類型</th>
				<th>演出時間</th>
				<th>演出地點</th>
				<th>演出者</th>
				<th>主辦單位</th>
				<th>定價</th>
				<th>優惠價</th>
			</tr>
			<tr th:object="${schedule}">
				<td><img th:src="*{sId.photo}" width="200px" /></td>
				<td><span th:text="*{sId.name}">PC</span></td>
				<td><span th:text="*{sId.stockCategory.name}">PC</span></td>
				<td><span th:text="*{time}">100</span></td>
				<td><span th:text="*{sId.place}">56</span></td>
				<td><span th:text="*{sId.performers}">20</span></td>
				<td><span th:text="*{sId.stockHost.host_name}">20</span></td>
				<td><span th:text="*{sId.price}">20</span></td>
				<td><span th:text="*{sId.discountedPrice}">20</span></td>
			</tr>
		</table>
		Stock Sold Details:
		<table class="table table-bordered table-striped">
			<tr>
				<th>Ticket ID</th>
				<th>Customer ID</th>
				<th>Seat Number</th>
				<th>price</th>
			</tr>
			<tr th:each="ticket: ${ticketSold} " th:object="${ticket}">
				<td><span th:text="*{id}">1</span></td>
				<td><span th:text="*{cId.username}">100</span></td>
				<td><span th:text="*{seat_num}">56</span></td>
				<td><span th:text="*{price}">56</span></td>
			</tr>
		</table>
		Stock Unsold Details:
		<table class="table table-bordered table-striped">
			<tr>
				<th>Ticket ID</th>
				<th>Seat Number</th>
			</tr>
			<tr th:each="ticket: ${ticketUnsold} " th:object="${ticket}">
				<td><span th:text="*{id}">1</span></td>
				<td><span th:text="*{seat_num}">56</span></td>
			</tr>
		</table>
	</div>
	</form>	
</body>
</html>